'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _classnames2 = require('classnames');

var classnames = _interopRequireWildcard(_classnames2);

var _draftJs = require('draft-js');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function noop(args) {}
;
var ItalicStyle = {
    constructor: function constructor() {
        var config = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

        var callbacks = {
            getEditorState: noop,
            setEditorState: noop
        };
        function toggleStyle(styleName) {
            var getEditorState = callbacks.getEditorState;
            var setEditorState = callbacks.setEditorState;

            setEditorState(_draftJs.RichUtils.toggleInlineStyle(getEditorState(), styleName));
        }
        return {
            name: 'italic',
            callbacks: callbacks,
            component: function component(props) {
                var _classnames;

                var currentStyle = callbacks.getEditorState().getCurrentInlineStyle();
                console.log('>> currentStyle', currentStyle);
                var classNames = classnames((_classnames = {}, _defineProperty(_classnames, 'editor-icon', true), _defineProperty(_classnames, 'editor-icon-italic', true), _defineProperty(_classnames, 'active', currentStyle.has('ITALIC')), _classnames));
                return React.createElement('span', { onMouseDown: function onMouseDown() {
                        return toggleStyle('ITALIC');
                    }, className: classNames });
            }
        };
    },
    config: {}
};
exports["default"] = ItalicStyle;
module.exports = exports['default'];